CREATE TABLE hrg_goals (
    GOAL_ID                       NUMBER(18, 0) ,
    LAST_MODIFIED_BY              NUMBER(18, 0) ,
    LAST_MODIFIED_DATE            TIMESTAMP(6)  ,
    BUSINESS_GROUP_ID             NUMBER(18, 0)     NOT NULL,
    ASSIGNMENT_ID                 NUMBER(18, 0) ,
    PERSON_ID                     NUMBER(18, 0) ,
    ORGANIZATION_ID               NUMBER(18, 0) ,
    PUBLISHED_FLAG                VARCHAR2(120) ,
    PUBLISH_DATE                  TIMESTAMP(6)  ,
    GOAL_TYPE_CODE                VARCHAR2(120)     NOT NULL,
    GOAL_NAME                     VARCHAR2(1600)    NOT NULL,
    DESCRIPTION                   VARCHAR2(4000),
    START_DATE                    DATE          ,
    TARGET_COMPLETION_DATE        DATE          ,
    SUCCESS_CRITERIA              VARCHAR2(4000),
    SUCCESS_CRITERIA_TEXT         CLOB          ,
    PERCENT_COMPLETE_CODE         VARCHAR2(120) ,
    STATUS_CODE                   VARCHAR2(120)     NOT NULL,
    APPROVAL_STATUS_CODE          VARCHAR2(120) ,
    ACTUAL_COMPLETION_DATE        DATE          ,
    REQUEST_CONTEXT               VARCHAR2(120) ,
    GOAL_VERSION_TYPE_CODE        VARCHAR2(120)     NOT NULL,
    VERSION_DATE                  TIMESTAMP(6)      NOT NULL,
    PRIORITY_CODE                 VARCHAR2(120) ,
    COMMENTS                      VARCHAR2(4000),
    COMMENTS_TEXT                 CLOB          ,
    REQUESTER_PERSON_ID           NUMBER(18, 0) ,
    ASSIGNED_BY_PERSON_ID         NUMBER(18, 0)     NOT NULL,
    GOAL_SOURCE_CODE              VARCHAR2(120)     NOT NULL,
    REFERENCE_CONTENT_ITEM_ID     NUMBER(18, 0) ,
    REFERENCE_GOAL_ID             NUMBER(18, 0) ,
    PRIVATE_FLAG                  VARCHAR2(120)     NOT NULL,
    ACCESS_TO_HIERARCHY_FLAG      VARCHAR2(120)     NOT NULL,
    HRCHY_ACCESS_GRANT_DATE       TIMESTAMP(6)  ,
    ALLOW_KEY_ATTR_UPDATE_FLAG    VARCHAR2(120) ,
    ALLOW_DEL_GOAL_FLAG           VARCHAR2(120) ,
    INCLUDE_IN_PERFDOC_FLAG       VARCHAR2(120) ,
    GOAL_URL                      VARCHAR2(4000),
    LEVEL_CODE                    VARCHAR2(120) ,
    LEVEL_MEANING                 VARCHAR2(960) ,
    CATEGORY_CODE                 VARCHAR2(120) ,
    MEASURE_TYPE_CODE             VARCHAR2(120) ,
    MEASURE_NAME                  VARCHAR2(960) ,
    MEASURE_COMMENTS              VARCHAR2(4000),
    TARGET_VALUE                  NUMBER(18, 0) ,
    TARGET_TYPE                   VARCHAR2(120) ,
    UOM_CODE                      VARCHAR2(120) ,
    ACTUAL_VALUE                  NUMBER(18, 0) ,
    MASS_REQUEST_ID               NUMBER(18, 0) ,
    GOAL_EXT_ID                   VARCHAR2(1000),
    GOAL_ACCESS_LEVEL_CODE        VARCHAR2(120) ,
    GOAL_SUB_TYPE_CODE            VARCHAR2(120) ,
    MEASURE_CALC_RULE_CODE        VARCHAR2(120) ,
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE1                    VARCHAR2(4000),
    ATTRIBUTE2                    VARCHAR2(4000),
    ATTRIBUTE3                    VARCHAR2(4000),
    ATTRIBUTE4                    VARCHAR2(4000),
    ATTRIBUTE5                    VARCHAR2(4000),
    ATTRIBUTE6                    VARCHAR2(4000),
    ATTRIBUTE7                    VARCHAR2(4000),
    ATTRIBUTE8                    VARCHAR2(4000),
    ATTRIBUTE9                    VARCHAR2(4000),
    ATTRIBUTE10                   VARCHAR2(4000),
    ATTRIBUTE11                   VARCHAR2(4000),
    ATTRIBUTE12                   VARCHAR2(4000),
    ATTRIBUTE13                   VARCHAR2(4000),
    ATTRIBUTE14                   VARCHAR2(4000),
    ATTRIBUTE15                   VARCHAR2(4000),
    ATTRIBUTE16                   VARCHAR2(4000),
    ATTRIBUTE17                   VARCHAR2(4000),
    ATTRIBUTE18                   VARCHAR2(4000),
    ATTRIBUTE19                   VARCHAR2(4000),
    ATTRIBUTE20                   VARCHAR2(4000),
    ATTRIBUTE21                   VARCHAR2(4000),
    ATTRIBUTE22                   VARCHAR2(4000),
    ATTRIBUTE23                   VARCHAR2(4000),
    ATTRIBUTE24                   VARCHAR2(4000),
    ATTRIBUTE25                   VARCHAR2(4000),
    ATTRIBUTE26                   VARCHAR2(4000),
    ATTRIBUTE27                   VARCHAR2(4000),
    ATTRIBUTE28                   VARCHAR2(4000),
    ATTRIBUTE29                   VARCHAR2(4000),
    ATTRIBUTE30                   VARCHAR2(4000),
    ATTRIBUTE_NUMBER1             NUMBER        ,
    ATTRIBUTE_NUMBER2             NUMBER        ,
    ATTRIBUTE_NUMBER3             NUMBER        ,
    ATTRIBUTE_NUMBER4             NUMBER        ,
    ATTRIBUTE_NUMBER5             NUMBER        ,
    ATTRIBUTE_NUMBER6             NUMBER        ,
    ATTRIBUTE_NUMBER7             NUMBER        ,
    ATTRIBUTE_NUMBER8             NUMBER        ,
    ATTRIBUTE_NUMBER9             NUMBER        ,
    ATTRIBUTE_NUMBER10            NUMBER        ,
    ATTRIBUTE_NUMBER11            NUMBER        ,
    ATTRIBUTE_NUMBER12            NUMBER        ,
    ATTRIBUTE_NUMBER13            NUMBER        ,
    ATTRIBUTE_NUMBER14            NUMBER        ,
    ATTRIBUTE_NUMBER15            NUMBER        ,
    ATTRIBUTE_NUMBER16            NUMBER        ,
    ATTRIBUTE_NUMBER17            NUMBER        ,
    ATTRIBUTE_NUMBER18            NUMBER        ,
    ATTRIBUTE_NUMBER19            NUMBER        ,
    ATTRIBUTE_NUMBER20            NUMBER        ,
    ATTRIBUTE_DATE1               DATE          ,
    ATTRIBUTE_DATE2               DATE          ,
    ATTRIBUTE_DATE3               DATE          ,
    ATTRIBUTE_DATE4               DATE          ,
    ATTRIBUTE_DATE5               DATE          ,
    ATTRIBUTE_DATE6               DATE          ,
    ATTRIBUTE_DATE7               DATE          ,
    ATTRIBUTE_DATE8               DATE          ,
    ATTRIBUTE_DATE9               DATE          ,
    ATTRIBUTE_DATE10              DATE          ,
    ATTRIBUTE_DATE11              DATE          ,
    ATTRIBUTE_DATE12              DATE          ,
    ATTRIBUTE_DATE13              DATE          ,
    ATTRIBUTE_DATE14              DATE          ,
    ATTRIBUTE_DATE15              DATE          ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    ACTIVE_FLAG                   VARCHAR2(120) ,
    GOAL_APPROVAL_STATE           VARCHAR2(120) ,
    APPROVER_RESPONSE_CODE        VARCHAR2(120) ,
    PREVIOUS_STATE_GOAL_ID        NUMBER(18, 0) ,
    LONG_DESCRIPTION              CLOB          ,
    GOAL_ID                       NUMBER(18, 0) ,
    LAST_MODIFIED_BY              NUMBER(18, 0) ,
    LAST_MODIFIED_DATE            TIMESTAMP(6)  ,
    BUSINESS_GROUP_ID             NUMBER(18, 0)     NOT NULL,
    ASSIGNMENT_ID                 NUMBER(18, 0) ,
    PERSON_ID                     NUMBER(18, 0) ,
    ORGANIZATION_ID               NUMBER(18, 0) ,
    PUBLISHED_FLAG                VARCHAR2(120) ,
    PUBLISH_DATE                  TIMESTAMP(6)  ,
    GOAL_TYPE_CODE                VARCHAR2(120)     NOT NULL,
    GOAL_NAME                     VARCHAR2(1600)    NOT NULL,
    DESCRIPTION                   VARCHAR2(4000),
    START_DATE                    DATE          ,
    TARGET_COMPLETION_DATE        DATE          ,
    SUCCESS_CRITERIA              VARCHAR2(4000),
    PERCENT_COMPLETE_CODE         VARCHAR2(120) ,
    STATUS_CODE                   VARCHAR2(120)     NOT NULL,
    APPROVAL_STATUS_CODE          VARCHAR2(120) ,
    ACTUAL_COMPLETION_DATE        DATE          ,
    REQUEST_CONTEXT               VARCHAR2(120) ,
    GOAL_VERSION_TYPE_CODE        VARCHAR2(120)     NOT NULL,
    VERSION_DATE                  TIMESTAMP(6)      NOT NULL,
    PRIORITY_CODE                 VARCHAR2(120) ,
    COMMENTS                      VARCHAR2(4000),
    REQUESTER_PERSON_ID           NUMBER(18, 0) ,
    ASSIGNED_BY_PERSON_ID         NUMBER(18, 0)     NOT NULL,
    GOAL_SOURCE_CODE              VARCHAR2(120)     NOT NULL,
    REFERENCE_CONTENT_ITEM_ID     NUMBER(18, 0) ,
    REFERENCE_GOAL_ID             NUMBER(18, 0) ,
    PRIVATE_FLAG                  VARCHAR2(120)     NOT NULL,
    ACCESS_TO_HIERARCHY_FLAG      VARCHAR2(120)     NOT NULL,
    HRCHY_ACCESS_GRANT_DATE       TIMESTAMP(6)  ,
    ALLOW_KEY_ATTR_UPDATE_FLAG    VARCHAR2(120) ,
    INCLUDE_IN_PERFDOC_FLAG       VARCHAR2(120) ,
    GOAL_URL                      VARCHAR2(4000),
    LEVEL_CODE                    VARCHAR2(120) ,
    LEVEL_MEANING                 VARCHAR2(960) ,
    CATEGORY_CODE                 VARCHAR2(120) ,
    MEASURE_TYPE_CODE             VARCHAR2(120) ,
    MEASURE_NAME                  VARCHAR2(960) ,
    MEASURE_COMMENTS              VARCHAR2(4000),
    TARGET_VALUE                  NUMBER(18, 0) ,
    TARGET_TYPE                   VARCHAR2(120) ,
    UOM_CODE                      VARCHAR2(120) ,
    ACTUAL_VALUE                  NUMBER(18, 0) ,
    MASS_REQUEST_ID               NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE1                    VARCHAR2(4000),
    ATTRIBUTE2                    VARCHAR2(4000),
    ATTRIBUTE3                    VARCHAR2(4000),
    ATTRIBUTE4                    VARCHAR2(4000),
    ATTRIBUTE5                    VARCHAR2(4000),
    ATTRIBUTE6                    VARCHAR2(4000),
    ATTRIBUTE7                    VARCHAR2(4000),
    ATTRIBUTE8                    VARCHAR2(4000),
    ATTRIBUTE9                    VARCHAR2(4000),
    ATTRIBUTE10                   VARCHAR2(4000),
    ATTRIBUTE11                   VARCHAR2(4000),
    ATTRIBUTE12                   VARCHAR2(4000),
    ATTRIBUTE13                   VARCHAR2(4000),
    ATTRIBUTE14                   VARCHAR2(4000),
    ATTRIBUTE15                   VARCHAR2(4000),
    ATTRIBUTE16                   VARCHAR2(4000),
    ATTRIBUTE17                   VARCHAR2(4000),
    ATTRIBUTE18                   VARCHAR2(4000),
    ATTRIBUTE19                   VARCHAR2(4000),
    ATTRIBUTE20                   VARCHAR2(4000),
    ATTRIBUTE21                   VARCHAR2(4000),
    ATTRIBUTE22                   VARCHAR2(4000),
    ATTRIBUTE23                   VARCHAR2(4000),
    ATTRIBUTE24                   VARCHAR2(4000),
    ATTRIBUTE25                   VARCHAR2(4000),
    ATTRIBUTE26                   VARCHAR2(4000),
    ATTRIBUTE27                   VARCHAR2(4000),
    ATTRIBUTE28                   VARCHAR2(4000),
    ATTRIBUTE29                   VARCHAR2(4000),
    ATTRIBUTE30                   VARCHAR2(4000),
    ATTRIBUTE_NUMBER1             NUMBER        ,
    ATTRIBUTE_NUMBER2             NUMBER        ,
    ATTRIBUTE_NUMBER3             NUMBER        ,
    ATTRIBUTE_NUMBER4             NUMBER        ,
    ATTRIBUTE_NUMBER5             NUMBER        ,
    ATTRIBUTE_NUMBER6             NUMBER        ,
    ATTRIBUTE_NUMBER7             NUMBER        ,
    ATTRIBUTE_NUMBER8             NUMBER        ,
    ATTRIBUTE_NUMBER9             NUMBER        ,
    ATTRIBUTE_NUMBER10            NUMBER        ,
    ATTRIBUTE_NUMBER11            NUMBER        ,
    ATTRIBUTE_NUMBER12            NUMBER        ,
    ATTRIBUTE_NUMBER13            NUMBER        ,
    ATTRIBUTE_NUMBER14            NUMBER        ,
    ATTRIBUTE_NUMBER15            NUMBER        ,
    ATTRIBUTE_NUMBER16            NUMBER        ,
    ATTRIBUTE_NUMBER17            NUMBER        ,
    ATTRIBUTE_NUMBER18            NUMBER        ,
    ATTRIBUTE_NUMBER19            NUMBER        ,
    ATTRIBUTE_NUMBER20            NUMBER        ,
    ATTRIBUTE_DATE1               DATE          ,
    ATTRIBUTE_DATE2               DATE          ,
    ATTRIBUTE_DATE3               DATE          ,
    ATTRIBUTE_DATE4               DATE          ,
    ATTRIBUTE_DATE5               DATE          ,
    ATTRIBUTE_DATE6               DATE          ,
    ATTRIBUTE_DATE7               DATE          ,
    ATTRIBUTE_DATE8               DATE          ,
    ATTRIBUTE_DATE9               DATE          ,
    ATTRIBUTE_DATE10              DATE          ,
    ATTRIBUTE_DATE11              DATE          ,
    ATTRIBUTE_DATE12              DATE          ,
    ATTRIBUTE_DATE13              DATE          ,
    ATTRIBUTE_DATE14              DATE          ,
    ATTRIBUTE_DATE15              DATE          ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    GOAL_EXT_ID                   VARCHAR2(1000),
    GOAL_ACCESS_LEVEL_CODE        VARCHAR2(120) ,
    GOAL_SUB_TYPE_CODE            VARCHAR2(120) ,
    MEASURE_CALC_RULE_CODE        VARCHAR2(120) ,
    ACTIVE_FLAG                   VARCHAR2(120) ,
    GOAL_APPROVAL_STATE           VARCHAR2(120) ,
    APPROVER_RESPONSE_CODE        VARCHAR2(120) ,
    PREVIOUS_STATE_GOAL_ID        NUMBER(18, 0) ,
    SUCCESS_CRITERIA_TEXT         CLOB          ,
    COMMENTS_TEXT                 CLOB          ,
    LONG_DESCRIPTION              CLOB          ,
    ALLOW_DEL_GOAL_FLAG           VARCHAR2(120) ,
    CONSTRAINT pk_hrg_goals PRIMARY KEY (GOAL_ID, GOAL_ID)
);
